# 1. Record architectural decisions

Date: 2020-12-30

## Status

Accepted

## Context

We need to record the architectural decisions that we make as we develop Ockam.

## Decision

We will keep a collection of records for "architecturally significant" decisions: those that
affect the structure, non-functional characteristics, dependencies, interfaces, or construction
techniques.

We will use Architecture Decision Records, as [described by Michael Nygard](1).

## Consequences

See Michael Nygard's [article](1).

For a lightweight ADR toolset, see Nat Pryce's [adr-tools](2).

[1]: http://thinkrelevance.com/blog/2011/11/15/documenting-architecture-decisions
[2]: https://github.com/npryce/adr-tools
