/**
 ********************************************************************************************************
 * @file    atecc508a.h
 * @brief   Vault interface for Microchip ATECC508A
 ********************************************************************************************************
 */

#ifndef ATECC508A_H_
#define ATECC508A_H_

/*
 ********************************************************************************************************
 *                                             INCLUDE FILES                                            *
 ********************************************************************************************************
 */

#include "ockam/vault.h"

/*
 ********************************************************************************************************
 *                                                DEFINES                                               *
 ********************************************************************************************************
 */

/*
 ********************************************************************************************************
 *                                               CONSTANTS                                              *
 ********************************************************************************************************
 */

/*
 ********************************************************************************************************
 *                                               DATA TYPES                                             *
 ********************************************************************************************************
 */

typedef struct {
  OckamVaultEc ec;
  ATCAIfaceCfg *p_atca_iface_cfg;
} OckamVaultAtecc508aConfig;

/*
 ********************************************************************************************************
 *                                          FUNCTION PROTOTYPES                                         *
 ********************************************************************************************************
 */

/*
 ********************************************************************************************************
 *                                            GLOBAL VARIABLES                                          *
 ********************************************************************************************************
 */

extern const OckamVault ockam_vault_atecc508a;

#endif
